// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/SceneItemComponent.hpp"
#include "display/shader/ShaderManager.hpp"
#include "scene/components/display/IRenderable.hpp"

namespace Dawn {
  class Material : public SceneItemComponent, public IRenderable {
    public:
      /**
       * Material component constructor. 
       * 
       * @param item Scene Item this component belongs to.
       */
      Material(SceneItem *item);
  };
}