// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "UILabel.hpp"

namespace Dawn {
  class UIRichTextLabel : public UILabel {
    public:
      // @innerXml
      StateProperty<std::string> richText;

      UIRichTextLabel(SceneItem *item);

      void onStart() override;
  };
}