// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "input/_InputManager.hpp"

namespace Dawn {
  class InputManager : public IInputManager<int32_t> {
    protected:
      float_t getInputValue(int32_t axis) override;

    public:
      std::map<int32_t, float_t> rawInputValues;

      InputManager(DawnGame *game);
  };
}